import { useQuery, useMutation, useQueryClient } from '@tanstack/react-query';
import { useServices } from '@/lib/services/ServiceProvider';

export function useAllTeams() {
  const { teamService } = useServices();

  return useQuery({
    queryKey: ['allTeams'],
    queryFn: () => teamService.getAllTeams(),
  });
}